Bug 160751 - REGRESSION (204327?): Flaky API test and LayoutTests related to cookies
Summary: REGRESSION (204327?): Flaky API test and LayoutTests related to cookies
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-10 14:42 PDT by Ryan Haddad
Modified: 2016-08-12 08:45 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2016-08-10 14:42:56 PDT
https://build.webkit.org/builders/Apple%20Yosemite%20Debug%20WK1%20(Tests)/builds/15136

Regressions: Unexpected text-only failures (5)
  http/tests/cookies/private-cookie-storage.html [ Failure ]
  http/tests/security/contentSecurityPolicy/report-same-origin-with-cookies-when-private-browsing-enabled.php [ Failure ]
  http/tests/security/cookies/first-party-cookie-allow-xslt.xml [ Failure ]
  http/tests/security/cookies/third-party-cookie-blocking-main-frame.html [ Failure ]

Tests that failed:
  WebKit2.CookieManager

/Volumes/Data/slave/yosemite-release/build/Tools/TestWebKitAPI/Tests/WebKit2/CookieManager.cpp:46
Value of: policy
  Actual: 0
Expected: testPolicy
Which is: 2
Comment 1 Ryan Haddad 2016-08-10 14:43:53 PDT
Started around https://trac.webkit.org/changeset/204329
Comment 2 Ryan Haddad 2016-08-11 13:30:07 PDT
Actually, this may actually be due to https://trac.webkit.org/changeset/204327
Comment 3 Ryan Haddad 2016-08-11 13:44:00 PDT
(In reply to comment #2)
> Actually, this may actually be due to
> https://trac.webkit.org/changeset/204327

Minus one "actually".
Comment 4 Alex Christensen 2016-08-12 08:45:06 PDT
This was fixed by https://trac.webkit.org/changeset/204383 and https://trac.webkit.org/changeset/204384